Kernel not upgraded

Bug #1385497 reported by Daniel Hollocher on 2014-10-24
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
High
Michael Vogt

Bug Description

I recently upgraded from 14.04 to 14.10, and I noticed the kernel hasn't been upgraded. Then I noticed that the package linux-generic was missing. I've been hacking my way through the logs and noticed this entry in /var/log/apt/history.log.2.gz:

Start-Date: 2014-08-14 21:19:26
Commandline: aptdaemon role='role-commit-packages' sender=':1.91'
Install: dkms:i386 (2.2.0.3-1.1ubuntu5, automatic), fakeroot:i386 (1.20-3ubuntu2, automatic), nvidia-opencl-icd-304:i386 (304.117-0ubuntu1, automatic), nvidia-settings:i386 (331.20-0ubuntu8, automatic), nvidia-libopencl1-304:
i386 (304.117-0ubuntu1, automatic), screen-resolution-extra:i386 (0.17.1, automatic), libcuda1-304:i386 (304.117-0ubuntu1, automatic), libfakeroot:i386 (1.20-3ubuntu2, automatic), libvdpau1:i386 (0.7-1, automatic), nvidia-304
:i386 (304.117-0ubuntu1)
Remove: linux-generic:i386 (3.13.0.33.39)
End-Date: 2014-08-14 21:21:19

I'm pretty sure the history of this install is that I "upgraded" to 14.04 via a clean install, and then at some point installed the nvidia legacy drivers through the standard repository gui. I'm guessing that's when linux-generic was removed, and that's why the upgrader didn't update my kernel.

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: ubuntu-release-upgrader-core 1:14.10.9
ProcVersionSignature: Ubuntu 3.13.0-34.60-generic 3.13.11.4
Uname: Linux 3.13.0-34-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 2.14.7-0ubuntu8
Architecture: i386
CrashDB: ubuntu
CurrentDesktop: XFCE
Date: Fri Oct 24 17:09:43 2014
InstallationDate: Installed on 2014-07-26 (90 days ago)
InstallationMedia: Lubuntu 14.04 LTS "Trusty Tahr" - Release i386 (20140416.2)
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to utopic on 2014-10-23 (1 days ago)
VarLogDistupgradeTermlog:

Daniel Hollocher (chogydan) wrote :

everything in /var/log/apt

On Fri, Oct 24, 2014 at 5:28 PM, Daniel Hollocher <
<email address hidden>> wrote:

> Public bug reported:
>
> I recently upgraded from 14.04 to 14.10, and I noticed the kernel hasn't
> been upgraded. Then I noticed that the package linux-generic was
> missing. I've been hacking my way through the logs and noticed this
> entry in /var/log/apt/history.log.2.gz:
>
> Start-Date: 2014-08-14 21:19:26
> Commandline: aptdaemon role='role-commit-packages' sender=':1.91'
> Install: dkms:i386 (2.2.0.3-1.1ubuntu5, automatic), fakeroot:i386
> (1.20-3ubuntu2, automatic), nvidia-opencl-icd-304:i386 (304.117-0ubuntu1,
> automatic), nvidia-settings:i386 (331.20-0ubuntu8, automatic),
> nvidia-libopencl1-304:
> i386 (304.117-0ubuntu1, automatic), screen-resolution-extra:i386 (0.17.1,
> automatic), libcuda1-304:i386 (304.117-0ubuntu1, automatic),
> libfakeroot:i386 (1.20-3ubuntu2, automatic), libvdpau1:i386 (0.7-1,
> automatic), nvidia-304
> :i386 (304.117-0ubuntu1)
> Remove: linux-generic:i386 (3.13.0.33.39)
> End-Date: 2014-08-14 21:21:19
>
>
> I'm pretty sure the history of this install is that I "upgraded" to 14.04
> via a clean install, and then at some point installed the nvidia legacy
> drivers through the standard repository gui. I'm guessing that's when
> linux-generic was removed, and that's why the upgrader didn't update my
> kernel.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: ubuntu-release-upgrader-core 1:14.10.9
> ProcVersionSignature: Ubuntu 3.13.0-34.60-generic 3.13.11.4
> Uname: Linux 3.13.0-34-generic i686
> NonfreeKernelModules: nvidia
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: i386
> CrashDB: ubuntu
> CurrentDesktop: XFCE
> Date: Fri Oct 24 17:09:43 2014
> InstallationDate: Installed on 2014-07-26 (90 days ago)
> InstallationMedia: Lubuntu 14.04 LTS "Trusty Tahr" - Release i386
> (20140416.2)
> PackageArchitecture: all
> SourcePackage: ubuntu-release-upgrader
> UpgradeStatus: Upgraded to utopic on 2014-10-23 (1 days ago)
> VarLogDistupgradeTermlog:
>
> ** Affects: ubuntu-release-upgrader (Ubuntu)
> Importance: Undecided
> Status: New
>
>
> ** Tags: apport-bug dist-upgrade i386 utopic
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1385497
>
> Title:
> Kernel not upgraded
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/1385497/+subscriptions
>

Daniel Hollocher (chogydan) wrote :

such a pain attaching these files

Daniel Hollocher (chogydan) wrote :
  • lspci.txt Edit (1.8 KiB, text/plain; charset=US-ASCII; name="lspci.txt")
  • apt.log Edit (50.2 KiB, text/x-log; charset=US-ASCII; name="apt.log")
  • apt-term.log Edit (374.8 KiB, text/x-log; charset=US-ASCII; name="apt-term.log")
  • history.log Edit (72.6 KiB, text/x-log; charset=US-ASCII; name="history.log")
  • main.log Edit (47.3 KiB, text/x-log; charset=US-ASCII; name="main.log")

Everything in /var/log/dist-upgrade (attaching with email is easier)

On Fri, Oct 24, 2014 at 5:37 PM, Daniel Hollocher <<email address hidden>
> wrote:

> everything in /var/log/apt
>
> On Fri, Oct 24, 2014 at 5:28 PM, Daniel Hollocher <
> <email address hidden>> wrote:
>
>> Public bug reported:
>>
>> I recently upgraded from 14.04 to 14.10, and I noticed the kernel hasn't
>> been upgraded. Then I noticed that the package linux-generic was
>> missing. I've been hacking my way through the logs and noticed this
>> entry in /var/log/apt/history.log.2.gz:
>>
>> Start-Date: 2014-08-14 21:19:26
>> Commandline: aptdaemon role='role-commit-packages' sender=':1.91'
>> Install: dkms:i386 (2.2.0.3-1.1ubuntu5, automatic), fakeroot:i386
>> (1.20-3ubuntu2, automatic), nvidia-opencl-icd-304:i386 (304.117-0ubuntu1,
>> automatic), nvidia-settings:i386 (331.20-0ubuntu8, automatic),
>> nvidia-libopencl1-304:
>> i386 (304.117-0ubuntu1, automatic), screen-resolution-extra:i386 (0.17.1,
>> automatic), libcuda1-304:i386 (304.117-0ubuntu1, automatic),
>> libfakeroot:i386 (1.20-3ubuntu2, automatic), libvdpau1:i386 (0.7-1,
>> automatic), nvidia-304
>> :i386 (304.117-0ubuntu1)
>> Remove: linux-generic:i386 (3.13.0.33.39)
>> End-Date: 2014-08-14 21:21:19
>>
>>
>> I'm pretty sure the history of this install is that I "upgraded" to 14.04
>> via a clean install, and then at some point installed the nvidia legacy
>> drivers through the standard repository gui. I'm guessing that's when
>> linux-generic was removed, and that's why the upgrader didn't update my
>> kernel.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 14.10
>> Package: ubuntu-release-upgrader-core 1:14.10.9
>> ProcVersionSignature: Ubuntu 3.13.0-34.60-generic 3.13.11.4
>> Uname: Linux 3.13.0-34-generic i686
>> NonfreeKernelModules: nvidia
>> ApportVersion: 2.14.7-0ubuntu8
>> Architecture: i386
>> CrashDB: ubuntu
>> CurrentDesktop: XFCE
>> Date: Fri Oct 24 17:09:43 2014
>> InstallationDate: Installed on 2014-07-26 (90 days ago)
>> InstallationMedia: Lubuntu 14.04 LTS "Trusty Tahr" - Release i386
>> (20140416.2)
>> PackageArchitecture: all
>> SourcePackage: ubuntu-release-upgrader
>> UpgradeStatus: Upgraded to utopic on 2014-10-23 (1 days ago)
>> VarLogDistupgradeTermlog:
>>
>> ** Affects: ubuntu-release-upgrader (Ubuntu)
>> Importance: Undecided
>> Status: New
>>
>>
>> ** Tags: apport-bug dist-upgrade i386 utopic
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1385497
>>
>> Title:
>> Kernel not upgraded
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/1385497/+subscriptions
>>
>
>

Adrian (adrian-rosian) wrote :

This is also true for me

no longer affects: software-properties (Ubuntu)
Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in ubuntu-release-upgrader (Ubuntu):
assignee: nobody → Michael Vogt (mvo)
Brian Murray (brian-murray) wrote :

From Aptterlog:

Removing syslinux-themes-debian (12-3) ...
/var/lib/dpkg/info/syslinux-themes-debian.postrm: 15: /var/lib/dpkg/info/syslinux-themes-debian.postrm: extlinux-update: not found
dpkg: error processing package syslinux-themes-debian (--remove):
 subprocess installed post-removal script returned error exit status 127

To post a comment you must log in.